diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index be4ac152..5e305908 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -1,9 +1,8 @@
 define('misc.bgprocess', [
   'sources/pgadmin', 'sources/gettext', 'sources/url_for', 'underscore',
   'underscore.string', 'jquery', 'pgadmin.browser', 'alertify',
-  'pgadmin.browser.messages'
 ], function(
-  pgAdmin, gettext, url_for, _, S, $, pgBrowser, alertify, pgMessages
+  pgAdmin, gettext, url_for, _, S, $, pgBrowser, Alertify
 ) {
 
   pgBrowser.BackgroundProcessObsorver = pgBrowser.BackgroundProcessObsorver || {};
@@ -12,6 +11,8 @@ define('misc.bgprocess', [
     return pgBrowser.BackgroundProcessObsorver;
   }
 
+  var wcDocker = window.wcDocker;
+
   var BGProcess = function(info, notify) {
     var self = this;
     setTimeout(
@@ -45,7 +46,9 @@ define('misc.bgprocess', [
           notifier: null,
           container: null,
           panel: null,
-          logs: $('<ol></ol>', {class: 'pg-bg-process-logs'})
+          logs: $('<ol></ol>', {
+            class: 'pg-bg-process-logs',
+          }),
         });
 
         if (this.notify) {
@@ -62,7 +65,7 @@ define('misc.bgprocess', [
               if (!process.notifier)
                 process.show.apply(process);
             }
-          )
+          );
         }
         var self = this;
 
@@ -75,29 +78,32 @@ define('misc.bgprocess', [
 
       bgprocess_url: function(type) {
         switch (type) {
-          case 'status':
-            if (this.details && this.out != -1 && this.err != -1) {
-              return url_for(
+        case 'status':
+          if (this.details && this.out != -1 && this.err != -1) {
+            return url_for(
                 'bgprocess.detailed_status', {
                   'pid': this.id,
                   'out': this.out,
-                  'err': this.err
+                  'err': this.err,
                 }
               );
-            }
-            return url_for('bgprocess.status', {'pid': this.id});
-          case 'acknowledge':
-            return url_for('bgprocess.acknowledge', {'pid': this.id});
-          default:
-            return url_for('bgprocess.list');
+          }
+          return url_for('bgprocess.status', {
+            'pid': this.id,
+          });
+        case 'acknowledge':
+          return url_for('bgprocess.acknowledge', {
+            'pid': this.id,
+          });
+        default:
+          return url_for('bgprocess.list');
         }
       },
 
       update: function(data) {
         var self = this,
-            out = [],
-            err = [],
-            idx = 0;
+          out = [],
+          err = [];
 
         if ('stime' in data)
           self.stime = new Date(data.stime);
@@ -131,9 +137,7 @@ define('misc.bgprocess', [
         }
         self.completed = self.completed || (
           'err' in data && 'out' in data && data.err.done && data.out.done
-        ) || (
-          !self.details && !_.isNull(self.exit_code)
-        );
+        ) || (!self.details && !_.isNull(self.exit_code));
 
         var io = 0,
           ie = 0,
@@ -145,7 +149,7 @@ define('misc.bgprocess', [
           };
 
         while (io < out.length && ie < err.length) {
-          if (pgAdmin.natural_sort(out[io][0], err[ie][0]) <= 0){
+          if (pgAdmin.natural_sort(out[io][0], err[ie][0]) <= 0) {
             res.push('<li class="pg-bg-res-out">' + escapeHTML(out[io++][1]) + '</li>');
           } else {
             res.push('<li class="pg-bg-res-err">' + escapeHTML(err[ie++][1]) + '</li>');
@@ -179,7 +183,7 @@ define('misc.bgprocess', [
               self.curr_status = gettext('Successfully completed.');
             } else {
               self.curr_status = S(
-                gettext("Failed (exit code: %s).")
+                gettext('Failed (exit code: %s).')
               ).sprintf(String(self.exit_code)).value();
             }
           }
@@ -198,7 +202,9 @@ define('misc.bgprocess', [
             );
           }
 
-          setTimeout(function() {self.show.apply(self)}, 10);
+          setTimeout(function() {
+            self.show.apply(self);
+          }, 10);
         }
 
         if (!self.completed) {
@@ -219,15 +225,19 @@ define('misc.bgprocess', [
           url: self.bgprocess_url('status'),
           cache: false,
           async: true,
-          contentType: "application/json",
+          contentType: 'application/json',
           success: function(res) {
-            setTimeout(function() { self.update(res); }, 10);
+            setTimeout(function() {
+              self.update(res);
+            }, 10);
           },
           error: function(res) {
             // Try after some time only if job id present
             if (res.status != 410)
-              setTimeout(function() { self.update(res); }, 10000);
-          }
+              setTimeout(function() {
+                self.update(res);
+              }, 10000);
+          },
         });
       },
 
@@ -237,35 +247,40 @@ define('misc.bgprocess', [
         if (self.notify && !self.details) {
           if (!self.notifier) {
             var header = $('<div></div>', {
-                  class: "h5 pg-bg-notify-header"
-                }).append($('<span></span>').text(self.desc)),
-                content = $('<div class="pg-bg-bgprocess row"></div>').append(
-                  header
-                ).append(
-                  $('<div></div>', {class: 'pg-bg-notify-body h6' }).append(
-                    $('<div></div>', {class: 'pg-bg-start col-xs-12' }).append(
-                      $('<div></div>').text(self.stime.toString())
-                    ).append(
-                      $('<div class="pg-bg-etime"></div>')
-                    )
-                  )
-                ),
-                for_details = $('<div></div>', {
-                  class: "col-xs-12 text-center pg-bg-click h6"
+                class: 'h5 pg-bg-notify-header',
+              }).append($('<span></span>').text(self.desc)),
+              content = $('<div class="pg-bg-bgprocess row"></div>').append(
+                header
+              ).append(
+                $('<div></div>', {
+                  class: 'pg-bg-notify-body h6',
                 }).append(
-                  $('<span></span>').text(gettext('Click here for details.'))
-                ).appendTo(content),
-                status = $('<div></div>', {
-                  class: "pg-bg-status col-xs-12 h5 " + ((self.exit_code === 0) ?
-                      'bg-success': (self.exit_code == 1) ?
-                      'bg-failed' : '')
-                }).appendTo(content),
-                close_me = $(
-                  '<div class="bg-close"><i class="fa fa-close"></i></div>'
-                ).appendTo(header);
+                  $('<div></div>', {
+                    class: 'pg-bg-start col-xs-12',
+                  }).append(
+                    $('<div></div>').text(self.stime.toString())
+                  ).append(
+                    $('<div class="pg-bg-etime"></div>')
+                  )
+                )
+              ),
+              for_details = $('<div></div>', {
+                class: 'col-xs-12 text-center pg-bg-click h6',
+              }).append(
+                $('<span></span>').text(gettext('Click here for details.'))
+              ).appendTo(content),
+              close_me = $(
+                '<div class="bg-close"><i class="fa fa-close"></i></div>'
+              ).appendTo(header);
+
+            $('<div></div>', {
+              class: 'pg-bg-status col-xs-12 h5 ' + ((self.exit_code === 0) ?
+                'bg-success' : (self.exit_code == 1) ?
+                'bg-failed' : ''),
+            }).appendTo(content);
 
             self.container = content;
-            self.notifier = alertify.notify(
+            self.notifier = Alertify.notify(
               content.get(0), 'bg-bgprocess', 0, null
             );
 
@@ -281,7 +296,7 @@ define('misc.bgprocess', [
               this.show_detailed_view.apply(this);
             }.bind(self));
 
-            close_me.on('click', function(ev) {
+            close_me.on('click', function() {
               this.notifier.dismiss();
               this.notifier = null;
               this.acknowledge_server.apply(this);
@@ -312,37 +327,37 @@ define('misc.bgprocess', [
 
           if (self.exit_code === 0) {
             $status_bar.addClass('bg-success');
-          } else if (self.exit_code == 1){
+          } else if (self.exit_code == 1) {
             $status_bar.addClass('bg-failed');
           }
         } else {
-          self.show_detailed_view.apply(self)
+          self.show_detailed_view.apply(self);
         }
       },
 
       show_detailed_view: function() {
         var self = this,
-            panel = this.panel,
-            is_new = false;
+          panel = this.panel,
+          is_new = false;
 
         if (!self.panel) {
           is_new = true;
           panel = this.panel =
-              pgBrowser.BackgroundProcessObsorver.create_panel();
+            pgBrowser.BackgroundProcessObsorver.create_panel();
 
           panel.title('Process Watcher - ' + _.escape(self.desc));
           panel.focus();
         }
 
         var container = panel.$container,
-            status_class = (
-              (self.exit_code === 0) ?
-                'bg-bgprocess-success': (self.exit_code == 1) ?
-                  'bg-bgprocess-failed' : ''
-            ),
-            $logs = container.find('.bg-process-watcher'),
-            $header = container.find('.bg-process-details'),
-            $footer = container.find('.bg-process-footer');
+          status_class = (
+            (self.exit_code === 0) ?
+            'bg-bgprocess-success' : (self.exit_code == 1) ?
+            'bg-bgprocess-failed' : ''
+          ),
+          $logs = container.find('.bg-process-watcher'),
+          $header = container.find('.bg-process-details'),
+          $footer = container.find('.bg-process-footer');
 
         if (is_new) {
           // set logs
@@ -413,14 +428,15 @@ define('misc.bgprocess', [
           url: self.bgprocess_url('acknowledge'),
           cache: false,
           async: true,
-          contentType: "application/json",
-          success: function(res) {
+          contentType: 'application/json',
+          success: function() {
             return;
           },
-          error: function(res) {
-          }
+          error: function() {
+            console.warn(arguments);
+          },
         });
-      }
+      },
     });
 
   _.extend(
@@ -449,7 +465,7 @@ define('misc.bgprocess', [
               }, 1000
             );
           }
-        )
+        );
       },
 
       update_process_list: function(recheck) {
@@ -461,9 +477,8 @@ define('misc.bgprocess', [
           url: url_for('bgprocess.list'),
           cache: false,
           async: true,
-          contentType: "application/json",
+          contentType: 'application/json',
           success: function(res) {
-            var cnt = 0;
             if (!res || !_.isArray(res)) {
               return;
             }
@@ -484,9 +499,10 @@ define('misc.bgprocess', [
               );
             }
           },
-          error: function(res) {
+          error: function() {
             // FIXME:: What to do now?
-          }
+            console.warn(arguments);
+          },
         });
       },
 
@@ -498,11 +514,11 @@ define('misc.bgprocess', [
           wcDocker.DOCK.FLOAT,
           null, {
             w: (screen.width < 700 ?
-                screen.width * 0.95 : screen.width * 0.5),
-                h: (screen.height < 500 ?
-                    screen.height * 0.95 : screen.height * 0.5),
-                    x: (screen.width < 700 ? '2%' : '25%'),
-                    y: (screen.height < 500 ? '2%' : '25%')
+              screen.width * 0.95 : screen.width * 0.5),
+            h: (screen.height < 500 ?
+              screen.height * 0.95 : screen.height * 0.5),
+            x: (screen.width < 700 ? '2%' : '25%'),
+            y: (screen.height < 500 ? '2%' : '25%'),
           });
       },
 
@@ -510,40 +526,40 @@ define('misc.bgprocess', [
         var w = pgBrowser.docker,
           panels = w.findPanels('bg_process_watcher');
 
-          if (panels && panels.length >= 1)
-            return;
+        if (panels && panels.length >= 1)
+          return;
 
-          var p = new pgBrowser.Panel({
-                name: 'bg_process_watcher',
-                showTitle: true,
-                isCloseable: true,
-                isPrivate: true,
-                content: '<div class="bg-process-details col-xs-12">'+
-                  '<p class="bg-detailed-desc"></p>'+
-                  '<div class="bg-process-stats">'+
-                  '<span><b>' + gettext('Start time') + ': </b>'+
-                  '<span class="bgprocess-start-time"></span>'+
-                  '</span></div>'+
-                  '</div>'+
-                  '<div class="bg-process-watcher col-xs-12">'+
-                  '</div>'+
-                  '<div class="bg-process-footer col-xs-12">'+
-                  '<div class="bg-process-status col-xs-6">'+
-                  '<span><b>' + gettext('Status') + ':</b></span><p></p>'+
-                  '</div>'+
-                  '<div class="bg-process-exec-time col-xs-6">'+
-                  '<div class="exec-div pull-right">'+
-                  '<span><b>' + gettext('Execution time') + ':</b></span><p></p>'+
-                  '</div>'+
-                  '</div>'+
-                  '</div>',
-                onCreate: function(myPanel, $container) {
-                  $container.addClass('pg-no-overflow');
-                }
-              });
-          p.load(pgBrowser.docker);
-      }
+        var p = new pgBrowser.Panel({
+          name: 'bg_process_watcher',
+          showTitle: true,
+          isCloseable: true,
+          isPrivate: true,
+          content: '<div class="bg-process-details col-xs-12">' +
+            '<p class="bg-detailed-desc"></p>' +
+            '<div class="bg-process-stats">' +
+            '<span><b>' + gettext('Start time') + ': </b>' +
+            '<span class="bgprocess-start-time"></span>' +
+            '</span></div>' +
+            '</div>' +
+            '<div class="bg-process-watcher col-xs-12">' +
+            '</div>' +
+            '<div class="bg-process-footer col-xs-12">' +
+            '<div class="bg-process-status col-xs-6">' +
+            '<span><b>' + gettext('Status') + ':</b></span><p></p>' +
+            '</div>' +
+            '<div class="bg-process-exec-time col-xs-6">' +
+            '<div class="exec-div pull-right">' +
+            '<span><b>' + gettext('Execution time') + ':</b></span><p></p>' +
+            '</div>' +
+            '</div>' +
+            '</div>',
+          onCreate: function(myPanel, $container) {
+            $container.addClass('pg-no-overflow');
+          },
+        });
+        p.load(pgBrowser.docker);
+      },
     });
 
   return pgBrowser.BackgroundProcessObsorver;
-});
+});
\ No newline at end of file
diff --git a/web/pgadmin/misc/depends/static/js/depends.js b/web/pgadmin/misc/depends/static/js/depends.js
index 0fc28b04..45b18975 100644
--- a/web/pgadmin/misc/depends/static/js/depends.js
+++ b/web/pgadmin/misc/depends/static/js/depends.js
@@ -1,7 +1,7 @@
 define('misc.depends', [
-  'sources/gettext', 'underscore', 'underscore.string', 'jquery', 'pgadmin.browser',
-  'alertify', 'pgadmin.alertifyjs'
-], function(gettext, _, S, $, pgBrowser, Alertify) {
+  'sources/gettext', 'underscore', 'underscore.string', 'jquery', 'backbone',
+  'pgadmin.browser', 'pgadmin.alertifyjs', 'pgadmin.backgrid',
+], function(gettext, _, S, $, Backbone, pgBrowser, Alertify, Backgrid) {
 
   if (pgBrowser.ShowNodeDepends)
     return pgBrowser.ShowNodeDepends;
@@ -20,19 +20,15 @@ define('misc.depends', [
       /* Parameter is used to set the proper label of the
        * backgrid header cell.
        */
-      var dependent = true,
-          dependentGrid = null,  // Refer to the backgrid object render under Dependents tab
-          dependenciesGrid = null; // Refer to the backgrid object render under Dependencies tab
-
       _.bindAll(this, 'showDependents', 'dependentsPanelVisibilityChanged',
-         'showDependencies', 'dependenciesPanelVisibilityChanged', '__updateCollection'
+        'showDependencies', 'dependenciesPanelVisibilityChanged', '__updateCollection'
       );
 
       // We will listened to the visibility change of the Dependencies and Dependents panel
       pgBrowser.Events.on('pgadmin-browser:panel-dependencies:' + wcDocker.EVENT.VISIBILITY_CHANGED,
-                        this.dependenciesPanelVisibilityChanged);
+        this.dependenciesPanelVisibilityChanged);
       pgBrowser.Events.on('pgadmin-browser:panel-dependents:' + wcDocker.EVENT.VISIBILITY_CHANGED,
-                        this.dependentsPanelVisibilityChanged);
+        this.dependentsPanelVisibilityChanged);
 
       // Defining Backbone Model for Dependencies and Dependents.
       var Model = Backbone.Model.extend({
@@ -43,28 +39,28 @@ define('misc.depends', [
           /* field contains 'Database Name' for 'Tablespace and Role node',
            * for other node it contains 'Restriction'.
            */
-          field: undefined
+          field: undefined,
         },
         // This function is used to fetch/set the icon for the type(Function, Role, Database, ....)
         parse: function(res) {
           var node = pgBrowser.Nodes[res.type];
           res.icon = node ? (_.isFunction(node['node_image']) ?
-                  (node['node_image']).apply(node, [null, null]) :
-                  (node['node_image'] || ('icon-' + res.type))) :
-                  ('icon-' + res.type);
-          res.type = S.titleize(res.type.replace(/_/g, " "), true);
+              (node['node_image']).apply(node, [null, null]) :
+              (node['node_image'] || ('icon-' + res.type))) :
+            ('icon-' + res.type);
+          res.type = S.titleize(res.type.replace(/_/g, ' '), true);
           return res;
-        }
+        },
       });
 
       // Defining Backbone Collection for Dependents.
-      this.dependentCollection = new (Backbone.Collection.extend({
-        model: Model
+      this.dependentCollection = new(Backbone.Collection.extend({
+        model: Model,
       }))(null);
 
       // Defining Backbone Collection for Dependencies.
-      this.dependenciesCollection = new (Backbone.Collection.extend({
-        model: Model
+      this.dependenciesCollection = new(Backbone.Collection.extend({
+        model: Model,
       }))(null);
 
       var self = this;
@@ -75,39 +71,40 @@ define('misc.depends', [
        */
       var appendGridToPanel = function(collection, panel, is_dependent) {
         var $container = panel[0].layout().scene().find('.pg-panel-content'),
-            $gridContainer = $container.find('.pg-panel-depends-container'),
-            grid = new Backgrid.Grid({
-              columns: [
-                {
-                  name : 'type',
-                  label: gettext('Type'),
-                  // Extend it to render the icon as per the type.
-                  cell: Backgrid.Cell.extend({
-                    render: function() {
-                      Backgrid.Cell.prototype.render.apply(this, arguments);
-                      this.$el.prepend($('<i>', {class: "wcTabIcon " + this.model.get('icon')}));
-                      return this;
-                    }
-                  }),
-                  editable: false
-                },
-                {
-                  name : 'name',
-                  label: gettext('Name'),
-                  cell: 'string',
-                  editable: false
+          $gridContainer = $container.find('.pg-panel-depends-container'),
+          grid = new Backgrid.Grid({
+            columns: [{
+              name: 'type',
+              label: gettext('Type'),
+                // Extend it to render the icon as per the type.
+              cell: Backgrid.Cell.extend({
+                render: function() {
+                  Backgrid.Cell.prototype.render.apply(this, arguments);
+                  this.$el.prepend($('<i>', {
+                    class: 'wcTabIcon ' + this.model.get('icon'),
+                  }));
+                  return this;
                 },
-                {
-                  name : 'field',
-                  label: '',  // label kept blank, it will change dynamically
-                  cell: 'string',
-                  editable: false
-                }
-              ],
-
-              collection: collection,
-              className: "backgrid presentation table backgrid-striped table-bordered table-hover",
-            });
+              }),
+              editable: false,
+            },
+            {
+              name: 'name',
+              label: gettext('Name'),
+              cell: 'string',
+              editable: false,
+            },
+            {
+              name: 'field',
+              label: '', // label kept blank, it will change dynamically
+              cell: 'string',
+              editable: false,
+            },
+            ],
+
+            collection: collection,
+            className: 'backgrid presentation table backgrid-striped table-bordered table-hover',
+          });
 
         // Condition is used to save grid object to change the label of the header.
         if (is_dependent)
@@ -122,11 +119,12 @@ define('misc.depends', [
 
       // We will listened to the visibility change of the Dependencies and Dependents panel
       pgBrowser.Events.on('pgadmin-browser:panel-dependencies:' + wcDocker.EVENT.VISIBILITY_CHANGED,
-                        this.dependenciesPanelVisibilityChanged);
+        this.dependenciesPanelVisibilityChanged);
       pgBrowser.Events.on('pgadmin-browser:panel-dependents:' + wcDocker.EVENT.VISIBILITY_CHANGED,
-                        this.dependentsPanelVisibilityChanged);
+        this.dependentsPanelVisibilityChanged);
       pgBrowser.Events.on(
-        'pgadmin:browser:node:updated', function() {
+        'pgadmin:browser:node:updated',
+        function() {
           if (this.dependenciesPanels && this.dependenciesPanels.length) {
             $(this.dependenciesPanels[0]).data('node-prop', '');
             this.dependenciesPanelVisibilityChanged(this.dependenciesPanels[0]);
@@ -153,10 +151,10 @@ define('misc.depends', [
 
             // If Dependencies panel exists and is focused then we need to listen the browser tree selection events.
             if ((dependenciesPanels[0].isVisible()) || dependenciesPanels.length != 1) {
-            pgBrowser.Events.on('pgadmin-browser:tree:selected', this.showDependencies);
+              pgBrowser.Events.on('pgadmin-browser:tree:selected', this.showDependencies);
             }
           }.bind(this)
-          );
+        );
       } else {
         appendGridToPanel(this.dependenciesCollection, this.dependenciesPanels, false);
 
@@ -178,7 +176,7 @@ define('misc.depends', [
               pgBrowser.Events.on('pgadmin-browser:tree:selected', this.showDependents);
             }
           }.bind(this)
-          );
+        );
       } else {
         appendGridToPanel(this.dependentCollection, this.dependentsPanels, true);
 
@@ -192,12 +190,11 @@ define('misc.depends', [
     // Fetch the actual data and update the collection
     __updateCollection: function(collection, panel, url, messages, node, item, type) {
       var msg = messages[0],
-          $container = panel[0].layout().scene().find('.pg-panel-content'),
-          $msgContainer = $container.find('.pg-panel-depends-message'),
-          $gridContainer = $container.find('.pg-panel-depends-container'),
-          treeHierarchy = node.getTreeNodeHierarchy(item),
-          n_value = -1,
-          n_type = type;
+        $container = panel[0].layout().scene().find('.pg-panel-content'),
+        $msgContainer = $container.find('.pg-panel-depends-message'),
+        $gridContainer = $container.find('.pg-panel-depends-container'),
+        treeHierarchy = node.getTreeNodeHierarchy(item),
+        n_type = type;
 
       // Avoid unnecessary reloads
       if (_.isEqual($(panel[0]).data('node-prop'), treeHierarchy)) {
@@ -230,20 +227,26 @@ define('misc.depends', [
            * it should be 'Restriction'.
            */
           if (this.dependent && (node.type == 'tablespace' || node.type == 'role'))
-            this.dependentGrid.columns.models[2].set({'label': gettext('Database')});
+            this.dependentGrid.columns.models[2].set({
+              'label': gettext('Database'),
+            });
           else {
-            this.dependenciesGrid.columns.models[2].set({'label': gettext('Restriction')});
-            this.dependentGrid.columns.models[2].set({'label': gettext('Restriction')});
+            this.dependenciesGrid.columns.models[2].set({
+              'label': gettext('Restriction'),
+            });
+            this.dependentGrid.columns.models[2].set({
+              'label': gettext('Restriction'),
+            });
           }
 
           // Hide message container and show grid container.
           $msgContainer.addClass('hidden');
           $gridContainer.removeClass('hidden');
 
-          var timer = setTimeout(function(){
+          var timer = setTimeout(function() {
             // notify user if request is taking longer than 1 second
 
-            $msgContainer.text(gettext("Retrieving data from the server..."));
+            $msgContainer.text(gettext('Retrieving data from the server...'));
             $msgContainer.removeClass('hidden');
             if ($gridContainer) {
               $gridContainer.addClass('hidden');
@@ -266,24 +269,23 @@ define('misc.depends', [
               pgBrowser.Events.trigger(
                 'pgadmin:node:retrieval:error', 'depends', xhr, error, message
               );
-              if (
-                !Alertify.pgHandleItemError(xhr, error, message, {
-                  item: item, info: treeHierarchy
-                })
-              ) {
+              if (!Alertify.pgHandleItemError(xhr, error, message, {
+                item: item,
+                info: treeHierarchy,
+              })) {
                 Alertify.pgNotifier(
                   error, xhr,
                   S(
-                    gettext("Error retrieving the information - %s")
+                    gettext('Error retrieving the information - %s')
                   ).sprintf(message || _label).value(),
                   function() {
-                    console.log(arguments);
+                    console.warn(arguments);
                   }
                 );
               }
               // show failed message.
-              $msgContainer.text(gettext("Failed to retrieve data from the server."));
-            }
+              $msgContainer.text(gettext('Failed to retrieve data from the server.'));
+            },
           });
         }
       }
@@ -305,25 +307,23 @@ define('misc.depends', [
       if (self.timeout) {
         clearTimeout(self.timeout);
       }
-      self.timeout =  setTimeout(
+      self.timeout = setTimeout(
         self.__updateCollection(
-          self.dependentCollection,
-          self.dependentsPanels,
-          node.generate_url(item, 'dependent', data, true),
-          [gettext('No object selected.'), gettext('No dependent information is available for the current object.'),
-            gettext('Fetching dependent information from the server...')],
-          node,
-          item,
-          data._type
+          self.dependentCollection, self.dependentsPanels,
+          node.generate_url(item, 'dependent', data, true), [
+            gettext('No object selected.'),
+            gettext('No dependent information is available for the current object.'),
+            gettext('Fetching dependent information from the server...'),
+          ], node, item, data._type
         ), 400
       );
     },
     dependentsPanelVisibilityChanged: function(panel) {
       if (panel.isVisible()) {
         var t = pgBrowser.tree,
-            i = t.selected(),
-            d = i && t.itemData(i),
-            n = i && d && pgBrowser.Nodes[d._type];
+          i = t.selected(),
+          d = i && t.itemData(i),
+          n = i && d && pgBrowser.Nodes[d._type];
 
         pgBrowser.ShowNodeDepends.showDependents.apply(pgBrowser.ShowNodeDepends, [i, d, n]);
 
@@ -349,13 +349,13 @@ define('misc.depends', [
       if (self.timeout) {
         clearTimeout(self.timeout);
       }
-      self.timeout =  setTimeout(
+      self.timeout = setTimeout(
         self.__updateCollection(
           self.dependenciesCollection,
           self.dependenciesPanels,
-          node.generate_url(item, 'dependency', data, true),
-          [gettext('Please select an object in the tree view.'), gettext('No dependency information is available for the current object.'),
-            gettext('Fetching dependency information from the server...')],
+          node.generate_url(item, 'dependency', data, true), [gettext('Please select an object in the tree view.'), gettext('No dependency information is available for the current object.'),
+            gettext('Fetching dependency information from the server...'),
+          ],
           node,
           item,
           data._type
@@ -365,9 +365,9 @@ define('misc.depends', [
     dependenciesPanelVisibilityChanged: function(panel) {
       if (panel.isVisible()) {
         var t = pgBrowser.tree,
-            i = t.selected(),
-            d = i && t.itemData(i),
-            n = i && d && pgBrowser.Nodes[d._type];
+          i = t.selected(),
+          d = i && t.itemData(i),
+          n = i && d && pgBrowser.Nodes[d._type];
 
         pgBrowser.ShowNodeDepends.showDependencies.apply(pgBrowser.ShowNodeDepends, [i, d, n]);
 
@@ -377,8 +377,8 @@ define('misc.depends', [
         // We don't need to listen the tree item selection event.
         pgBrowser.Events.off('pgadmin-browser:tree:selected', pgBrowser.ShowNodeDepends.showDependencies);
       }
-    }
+    },
   });
 
   return pgBrowser.ShowNodeDepends;
-});
+});
\ No newline at end of file
